///////////
//
//  edge.cpp
//
//      AUTHOR: Russell James Lowke  (lowke@fas.harvard.edu)
//
//		  Date: 3/11/2004
//
//       Usage: 
//
// Description: 
//
//     Methods: 
// 				????()			 - Blah blah blah
//
//

#include "edge.hpp"								// include header
#include "vertex.hpp"

#include <iostream>
using std::cout;
using std::endl;
//
//  constructor for Edge class
//
Edge :: Edge() {}
Edge :: Edge(Vertex* mStart, double mWeight, Vertex* mEnd) {

	edgeWeight	= mWeight;
	startVertex	= mStart;
	endVertex	= mEnd;
}

void Edge :: pprint() {
	cout <<  "startVertex: " << startVertex->getName() << 
			" edgeWeight: "	 << edgeWeight << 
			" endVertex: "	 << endVertex->getName() << endl;
}


//
//  accessors
//
double	Edge :: getEdgeWeight() { return edgeWeight; }
Vertex* Edge :: getStart()		{ return startVertex; }
Vertex* Edge :: getEnd()		{ return endVertex; }