///////////
//
//  Vertex.cpp
//
//      AUTHOR: Russell James Lowke  (lowke@fas.harvard.edu)
//
//		  Date: 3/11/2004
//
//       Usage: 
//
// Description: 
//
//     Methods: 
// 				????()			 - Blah blah blah
//
//

#include "vertex.hpp"								// include header

#include <iostream>

using namespace std;
Vertex* find(Vertex* mX);

//
//  constructor for Vertex class
//
Vertex :: Vertex() {}
Vertex :: ~Vertex() {}

Vertex :: Vertex(int mName, double mX, double mY) {

	name	 = mName;				// set streams
	locX	 = mX;
	locY	 = mY;

	// makeSet
	parent	 = this;
	rank	 = 0;
}


void Vertex :: pprint() {
	cout <<  "name: "   << name << 
			" locX: "   << locX << 
			" locY: "   << locY << 
			" parent: "	<< parent->getName() <<
			" rank: "   << rank <<
			" set: "	<< find(this)->getName() << endl;
}


//
//  accessors and mutators
//
int     Vertex :: getName()		{ return name; }
double	Vertex :: getX()		{ return locX; }
double	Vertex :: getY()		{ return locY; }
Vertex* Vertex :: getParent()            { return parent; }
int     Vertex :: getRank()             { return rank; }
void	Vertex :: setMySet(Vertex* mV)	{ parent = mV; }
void 	Vertex :: setRank(int mRank)	{ rank   = mRank; }